#
# spec file for package rubygem-commander
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-commander
Version:        4.6.0
Release:        1.12
%define mod_name commander
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.4}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
URL:            https://github.com/commander-rb/commander
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        The complete solution for Ruby command-line executables
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
The complete solution for Ruby command-line executables. Commander bridges the
gap between other terminal related libraries you know and love (OptionParser,
HighLine), while providing many new features, and an elegant API.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="History.rdoc LICENSE README.md" \
  -f

%gem_packages

%changelog
* Thu Jun 24 2021 Stephan Kulow <coolo@suse.com>
  updated to version 4.6.0
  see installed History.rdoc
  === 4.6.0 / 2021-04-09
  * Fix error with SortedSet on Ruby 3.0 (#98).
  * Remove `#reset_io` as it didn't do anything.
  * Drop support for Ruby < 2.4.
* Thu May  7 2020 Stephan Kulow <coolo@suse.com>
- updated to version 4.5.2
  see installed History.rdoc
  === 4.5.2 / 2020-03-12
  * Fix bug handling global options provided in option=value form (#47). (@orien)
  * Fix ERB warnings under Ruby 2.7. (@esotericpig)
  * Fix bug handling global options placed before command name (#32). (@orien)
  === 4.5.1 / 2020-03-08
  * Fix bug causing global options to be ignored when arguments are present (#86). (@orien)
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 4.5.0
  see installed History.rdoc
  === 4.5.0 / 2020-01-21
  * Drop support for Ruby < 2.3.
  * Fix bug parsing double dash (#75).
* Sat Dec  8 2018 Stephan Kulow <coolo@suse.com>
- updated to version 4.4.7
  see installed History.rdoc
  === 4.4.7 / 2018-10-22
  * Update HighLine dependency to 2.0.0. (@rohitpaulk)
* Wed Sep  5 2018 coolo@suse.com
- updated to version 4.4.6
  see installed History.rdoc
  === 4.4.6 / 2018-07-31
  * Fix unexpected internal behavior change introduced in 4.4.5.
* Tue May 22 2018 factory-auto@kulow.org
- updated to version 4.4.5
  see installed History.rdoc
  === 4.4.5 / 2018-05-22
  * Make internal command state less mutable. (@doriantaylor)
* Thu Feb  8 2018 coolo@suse.com
- updated to version 4.4.4
  see installed History.rdoc
  === 4.4.4 / 2018-01-18
  * Fix deprecated constant warnings on Ruby 2.5. (@mattbrictson)
* Thu Dec 29 2016 coolo@suse.com
- updated to version 4.4.3
  see installed History.rdoc
  === 4.4.3 / 2016-12-28
  * Fix deprecated constant warnings on Ruby 2.4.
* Wed Dec 21 2016 coolo@suse.com
- updated to version 4.4.2
  see installed History.rdoc
  === 4.4.2 / 2016-12-20
  * Add `help_paging` program flag so that help paging may be disabled. (@gogiel)
* Sat Dec  3 2016 coolo@suse.com
- updated to version 4.4.1
  see installed History.rdoc
  === 4.4.1 / 2016-12-02
  * Fix #36 - Warning about MissingSourceFile (@fallwith)
  * Fix build on Ruby 1.9
* Wed Mar  2 2016 coolo@suse.com
- updated to version 4.4.0
  see installed History.rdoc
  === 4.4.0 / 2016-02-19
  * Add modular style template initialization. (@lebogan)
  * Allow option names that start with a global option name.
  * Fix handling of negatable global flags. (@mfurtak)
* Wed Feb 10 2016 coolo@suse.com
- updated to version 4.3.8
  see installed History.rdoc
  === 4.3.8 / 2016-02-09
  * Fix regression for deprecation warnings.
* Wed Jan 27 2016 coolo@suse.com
- updated to version 4.3.7
  see installed History.rdoc
  === 4.3.7 / 2016-01-26
  * Fix regression in help formatter introduced in 4.3.6.
  === 4.3.6 / 2016-01-26 [YANKED]
  * Fix deprecation warnings on Ruby 2.3.0.
  * Indent option descriptions the same way as program and command descriptions. (@badeball)
* Mon Aug 10 2015 coolo@suse.com
- updated to version 4.3.5
  see installed History.rdoc
  === 4.3.5 / 2015-08-09
  * Fixed a bug with small terminal widths, changed minimum screen width for wrapping to 40 columns. (@toolmantim)
* Mon May  4 2015 coolo@suse.com
- updated to version 4.3.4
  see installed History.rdoc
  === 4.3.4 / 2015-05-03
  * Fixed a regression with the compact help formatter.
* Thu Apr 23 2015 coolo@suse.com
- updated to version 4.3.3
  see installed History.rdoc
  === 4.3.3 / 2015-04-21
  * Updated to highline 1.7.2 to fix a regression with terminal size (https://github.com/JEG2/highline/pull/139).
* Wed Apr  8 2015 coolo@suse.com
- updated to version 4.3.2
  * Version bump to publish new location of Commander to Rubygems. Moved to https://github.com/commander-rb/commander
* Sat Mar 28 2015 coolo@suse.com
- updated to version 4.3.1
* Tue Feb 10 2015 coolo@suse.com
- updated to version 4.3.0
* Fri Feb  6 2015 coolo@suse.com
- updated to version 4.2.1
  * Improve `choose` compatibility with HighLine's version (#79)
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Sun May 18 2014 coolo@suse.com
- updated to version 4.2.0
  * Add ability to use commander without importing into the global namespace (#61) (@krissi)
* Sat Feb 22 2014 coolo@suse.com
- updated to version 4.1.6
  * Respect environment setting for $LESS (@ellemenno)
  * Add ability to hide trace flags and globally enable tracing (#16, #17) (@jamesrwhite)
* Mon Aug 26 2013 coolo@suse.com
- updated to version 4.1.5
  * Prevent deprecation warning when loaded in a Rails 4 environment (#58)
* Tue Jul 30 2013 coolo@suse.com
- updated to version 4.1.4
  * Improve help formatting for multiline program and command descriptions
  * Add ability to set speaking rate (@kethomassen)
  * Clean up examples in docs (@parkr)
* Tue Dec 25 2012 coolo@suse.com
- updated to version 4.1.3
  * Remove use of eval in Array.parse
  * Make generated template executable and set better defaults (@suan)
  * Fixed valid_command_names_from to match exact commands only (@fgalassi)
* Tue Sep 11 2012 dmitry@roshchin.org
- Initial package
- Version 4.1.2
